lev.gui

## Class LTextArea

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - lev.gui.LComponent
      - - lev.gui.LTextArea

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

      public class LTextArea
      extends LComponent

  A customized Text Pane used by Leviathan for GUIs.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JTextArea` | `area`
    `protected javax.swing.text.Document` | `doc`
    `protected javax.swing.JScrollPane` | `scroll`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LTextArea(java.awt.Color c)`
    `LTextArea(java.awt.Dimension size_, java.awt.Color c)`
    `LTextArea(int x, int y, java.awt.Color c)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScroll()`
    `void` | `append(java.lang.String in)`
    `void` | `badText()`
    `void` | `clearText()`
    `java.awt.Dimension` | `getPreferredSize()`
    `java.lang.String` | `getText()`
    `boolean` | `isEmpty()`
    `void` | `setBackground(java.awt.Color c)`
    `void` | `setCaretColor(java.awt.Color c)`
    `void` | `setEditable(boolean b)`
    `void` | `setFont(java.awt.Font f)`
    `void` | `setFontSize(float size)`
    `void` | `setForeground(java.awt.Color c)`
    `void` | `setLineWrap(boolean b)`
    `void` | `setOpaque(java.lang.Boolean b)`
    `void` | `setSize(java.awt.Dimension size)`
    `void` | `setSize(int width, int height)`
    `void` | `setText(java.lang.String in)`
    `void` | `setWrapStyleWord(boolean b)`

    - ### Methods inherited from class lev.gui.LComponent

      `Add, centerIn, centerOn, centerOn, getBottom, getCenter, getRight, putUnder`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, update, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### scroll

          protected javax.swing.JScrollPane scroll

    - #### area

          protected javax.swing.JTextArea area

    - #### doc

          protected javax.swing.text.Document doc

  - ### Constructor Detail

    - #### LTextArea

          public LTextArea(java.awt.Dimension size_,
                   java.awt.Color c)

      Parameters:
        `size_` -
        `c` -

    - #### LTextArea

          public LTextArea(int x,
                   int y,
                   java.awt.Color c)

      Parameters:
        `x` -
        `y` -
        `c` -

    - #### LTextArea

          public LTextArea(java.awt.Color c)

      Parameters:
        `c` -

  - ### Method Detail

    - #### setSize

          public void setSize(java.awt.Dimension size)

      Overrides:
        `setSize` in class `java.awt.Component`

    - #### setSize

          public void setSize(int width,
                     int height)

      Overrides:
        `setSize` in class `java.awt.Component`

    - #### setForeground

          public void setForeground(java.awt.Color c)

      Overrides:
        `setForeground` in class `java.awt.Component`

    - #### setText

          public void setText(java.lang.String in)

      Parameters:
        `in` -

    - #### getText

          public java.lang.String getText()

      Returns:

    - #### badText

          public void badText()

    - #### clearText

          public void clearText()

    - #### append

          public void append(java.lang.String in)

      Parameters:
        `in` -

    - #### setOpaque

          public void setOpaque(java.lang.Boolean b)

      Parameters:
        `b` -

    - #### setFont

          public void setFont(java.awt.Font f)

      Overrides:
        `setFont` in class `java.awt.Container`

    - #### isEmpty

          public boolean isEmpty()

      Returns:

    - #### setBackground

          public void setBackground(java.awt.Color c)

      Overrides:
        `setBackground` in class `java.awt.Component`
      Parameters:
        `c` -

    - #### setCaretColor

          public void setCaretColor(java.awt.Color c)

      Parameters:
        `c` -

    - #### setLineWrap

          public void setLineWrap(boolean b)

      Parameters:
        `b` -

    - #### setWrapStyleWord

          public void setWrapStyleWord(boolean b)

      Parameters:
        `b` -

    - #### addScroll

          public void addScroll()

    - #### setEditable

          public void setEditable(boolean b)

      Parameters:
        `b` -

    - #### setFontSize

          public void setFontSize(float size)

      Parameters:
        `size` -

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize()

      Overrides:
        `getPreferredSize` in class `java.awt.Container`
      Returns: